Summary:        KDE I/O Slave for the locate command
Name:    		kio-locate
Version:     	0.5.3
Release:     	%mkrel 5
License:    	GPLv2+
Group: 	    	Graphical desktop/KDE
URL: 	    	http://kde-apps.org/content/show.php/kio-locate?content=120965

Source:         http://kde-apps.org/CONTENT/content-files/120965-kio-locate-%{version}.tar.gz
Patch0:         kio_locate-0.5.3-mga-add_missing_unistd.h_include.patch

BuildRequires:  kdelibs4-devel

Requires:       task-kde4-minimal
Requires:       mlocate

%description
kio-locate is a KDE I/O Slave for the locate command. This means that you can 
use kio-locate by simply typing in konquerors address box.

You can e.g. type "locate:index.html" to find all files that contain 
"index.html" in their name. There's even more: You can use kio-locate in all 
KDE applications, that accept URLs. 

%prep
%setup -qn kio-locate-%{version}
%patch0 -p1

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang kio_locate

%files -f kio_locate.lang 
%{_kde_libdir}/kde4/*.so
%{_kde_docdir}/HTML/en/kioslave/locate/*
%{_kde_services}/*.protocol
%{_kde_services}/searchproviders/*.desktop




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.5.3-5.mga4
+ Revision: 506652
- Mageia 4 Mass Rebuild

  + dglent <dglent>
    - Add requires
    - Remove outdated policies (%%clean ...)

* Sat Jan 12 2013 umeabot <umeabot> 0.5.3-3.mga3
+ Revision: 356245
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 juancho <juancho> 0.5.3-2.mga3
+ Revision: 323197
- Fix build, missing include in locator.cpp

* Wed Jan 11 2012 juancho <juancho> 0.5.3-1.mga2
+ Revision: 194898
- Updated to 0.5.3

* Fri Jan 21 2011 dlucio <dlucio> 0.5.2-1.mga1
+ Revision: 30592
- imported package kio-locate

